#include "Palettes.h"

void temperaturemeterAnimation() {
  if ((int)no2Level > 100) no2Level = 100;
  int ledCount = map((int)no2Level, 0, 100, 0, NUM_LEDS_PER_STRIP - 1);
  if (timeClient.getSeconds() == 19 || timeClient.getSeconds() == 39 || timeClient.getSeconds() == 59) ledCount = 31;
  if (currentLED <= ledCount) {
    currentLED ++;
    clearStrip();
    for (int i = 0; i < currentLED; i++) {
      if (no2Level < levelRed) strips[NUM_LEDS_PER_STRIP - 1 - i] = CRGB(0, 200, 0);
      else strips[NUM_LEDS_PER_STRIP - 1 - i] = CRGB(200, 0, 0);
    }
  }
}

void animateGreen( long cnt, int hueSpeed, int lumSpeed, int lumScale)
{
  int lumPos = lumSpeed * cnt;
  int huePos = hueSpeed * cnt / 10;

  for ( int i = 0; i < NUM_LEDS_PER_STRIP; i++) {
    int x = lumPos + i * lumScale;
    x %= 6280;
    uint8_t b = inoise8(x);
    //b = b * b * b / 65025 ;
    int offs = huePos + i * 255 / NUM_LEDS_PER_STRIP;
    strips[i] = ColorFromPalette( pureGreenPalette, b);
  }


}

void animateRed(long cnt, int hueSpeed, int lumSpeed, int lumScale)
{
  int lumPos = -lumSpeed * cnt;
  int huePos = -hueSpeed * cnt / 10;

  for ( int i = 0; i < NUM_LEDS_PER_STRIP; i++) {
    int x = lumPos + i * lumScale;
    x %= 6280;
    uint8_t b = inoise8(x);
    //b = b * b * b / 65025 / 2;
    int offs = huePos + i * 255 / NUM_LEDS_PER_STRIP;
    //strips[i] = ColorFromPalette( fullRedPalette, offs, b);
    strips[i] = ColorFromPalette( fullRedPalette, b);
  }
}

void animateStartup() { //white blink
  pulseForLEDs(60);
  setLEDs (2 * counter, 2 * counter, 2 * counter);
}

void animateConfig() {  //white point goes from top to bottom
  pulseForLEDs(110);
  setLEDs(0, 0, 0);
  LedDot((counter / 5) + 5, 4, 100, 100, 100);
}

void animateKeinWert() {  //white point blinks on bottom
  pulseForLEDs(150);
  if (counter > 120) {
    for ( int i = 0; i < 4; i++) {
      strips[NUM_LEDS_PER_STRIP - i - 1] = CRGB((counter - 120) * 4, (counter - 120) * 4, (counter - 120) * 4);
    }
  } else {
    setLEDs(0, 0, 0);
  }
}

void animateError() {
  pulseForLEDs(30);
  LedDot(NUM_LEDS_PER_STRIP / 2, 14, counter*8, 0, 0);
}
