
void connectToWifi (const char *apName) {

  //custom Wifi Manager

  loadConfig();

  String str = brightness;
  FastLED.setBrightness(str.toInt());

  // Uncomment and run it once, if you want to erase all the stored information
  //wifiManager.resetSettings();

  WiFiManager wifiManager;

  debugln("Connecting Wifi...");

  wifiManager.setSaveConfigCallback(saveConfigCallback);
  WiFiManagerParameter custom_text("<p>&nbsp;</p><p>Nummer-Messstation:");
  WiFiManagerParameter custom_station("station", "Nummer-Station", station, 50);
  //WiFiManagerParameter custom_brightness("brightness", "Helligigket", brightness, 3);
  WiFiManagerParameter hinweis("<p>&nbsp;</p><p>Hinweis:</p></p>Waehlen Sie Ihren Internetzugang von der Liste oben aus, dieser wird dann automatisch in die erste Textbox uebernommen. In die zweite Textbox kommt das dazu gehoerige Passwort.</p></p>Um den Namen der Messstation und die dazugehoerige Nummer herauszufinden, gehen Sie bitte auf 'www.stadtluft-anzeiger.de' und suchen die gewuenschte Station. Danach kopieren Sie denjenigen Text aus der URL, der die Nummer und den Strassennamen der Messstation enthaelt. zB:</p></p>136-ringkirche</p>35-mitte-brueckenstrasse</p>...</p></p>Anschliessend klicken Sie bitte auf 'save'.</p>");
  wifiManager.addParameter(&custom_text);
  wifiManager.addParameter(&custom_station);
  //wifiManager.addParameter(&custom_brightness);
  wifiManager.addParameter(&hinweis);

  wifiManager.setDebugOutput(false);
  //wifiManager.resetSettings();
  //wifiManager.setConfigPortalTimeout(20);

  wifiManager.setAPCallback(configModeCallback);

  if (digitalRead(BUTTON_PIN) == HIGH) {  //Wenn OTA Button beim Startup gedrückt, dann macht er in jedem Fall ein AP
  //if (1 == 2) { //nur für test am node
    if (!wifiManager.startConfigPortal(apName)) {
      Serial.println("failed to connect and hit timeout");
      set2ndLEDs(255, 0, 0 );
      delay(3000);
      ESP.reset();
      delay(5000);
    }
  } else {
    if (!wifiManager.autoConnect(apName)) {
      debugln("failed to connect and hit timeout");
      set2ndLEDs(255, 0, 0 );
      delay(1000);
      ESP.reset();
    }
  }

  debug("WIFI connected: ");
  debugln(WiFi.localIP());


  strcpy(station, custom_station.getValue());


  //save the custom parameters to FS
  if (shouldSaveConfig) {
    //saveFS();
    saveConfig();
  }
  //station = output;
  debugln("WifiManager done! - Station: " + String(station));
}

void configModeCallback (WiFiManager *myWiFiManager) {
  currentStatus = 2;
  debugln("Entered config mode");
  debugln(WiFi.softAPIP());
  debugln(myWiFiManager->getConfigPortalSSID());
}

void customParametrs() {

}

//callback notifying us of the need to save config
void saveConfigCallback () {
  debugln("Should save config");
  shouldSaveConfig = true;
}

bool loadConfig() {
  //read configuration from FS json
  debugln("mounting FS...");
  if (SPIFFS.begin()) {
    debugln("mounted file system");
    if (SPIFFS.exists("/config.json")) {
      //file exists, reading and loading
      debugln("reading config file");
      File configFile = SPIFFS.open("/config.json", "r");
      if (configFile) {
        debugln("opened config file");
        size_t size = configFile.size();
        // Allocate a buffer to store contents of the file.
        size_t fileSize = configFile.size();
        std::unique_ptr<char[]> buf(new char[fileSize]);
        configFile.readBytes(buf.get(), fileSize);
        StaticJsonDocument<200> doc;
        auto error = deserializeJson(doc, buf.get());
        if (error) {
          Serial.print("Failed to parse config file:  ");
          Serial.println(error.c_str());
          return false;
        }

        //station = doc["station"];
        //brightness = doc["brightness"];
        strcpy(station, doc["station"]);
        strcpy(brightness, doc["brightness"]);

        // Real world application would store these values in some variables for
        // later use.

        Serial.print("Loaded station: ");
        Serial.println(station);
        Serial.print("Loaded brightness: ");
        Serial.println(brightness);

        configFile.close();

        return true;

      } else {
        debugln("failed to load json config");
        return false;
      }
    }
  }
}

bool saveConfig() {
  StaticJsonDocument<200> doc;
  doc["station"] = station;
  doc["brightness"] = brightness;

  File configFile = SPIFFS.open("/config.json", "w");
  if (!configFile) {
    debugln("failed to open config file for writing");
    return false;
  }
  serializeJson(doc, Serial);
  serializeJson(doc, configFile);
  configFile.close();
  return true;
}
